- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - ObjectName
  - RT::SavedSearch->EscapeDescription STRING
  - Type

# NAME

RT::SavedSearch - an API for saving and retrieving search form values.

# SYNOPSIS

      use RT::SavedSearch

# DESCRIPTION

SavedSearch is an object based on RT::SharedSetting that can belong to either an RT::User or an RT::Group. It consists of an ID, a description, and a number of search parameters.

# METHODS

## ObjectName

An object of this class is called "search"

## RT::SavedSearch->EscapeDescription STRING

This is a class method because system-level saved searches aren't true `RT::SavedSearch` objects but direct `RT::Attribute` objects.

Returns `STRING` with all square brackets except those in `[_1]` escaped, ready for passing as the first argument to `loc()`.

## Type

Returns the type of this search, e.g. 'Ticket'. Useful for denoting the saved searches that are relevant to a particular search page.

← Back to index